FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000723FL52.2 Subprogram FLUC (CONV)public2015-09-10 09:012015-11-17 08:55
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1.08 
Target Version5.1.10Fixed in Version5.1.10 
Summary0000723: If a small member of a big PO converted, then the file space for the target can be very hugh
DescriptionWe must spilt the file space from member space and if we write a member of a PDS to a PS then the member space must be used.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000914)
Falk Reichbott (administrator)
2015-11-16 16:54

There is no possibility to determine the size of a member in a PDSE accept to read the whole member twice. This is too expensive to solve this issue. Currently it looks like we must close the issue as not fixable.
(0000915)
Falk Reichbott (administrator)
2015-11-16 16:57

In a PDS the TTR can be used to determine the member size, but for this the whole dictory must be read and sort based on the TTR to determine the differences.

This will also very expensive and based on the fact that this solution will not work for PDSE a general solution of this problem is not possible.
(0000916)
Falk Reichbott (administrator)
2015-11-16 17:00

The DFSORT has the same problem and no solution for it. The overspace issue is describt in the documantation.
(0000917)
Falk Reichbott (administrator)
2015-11-16 17:03

The only possible solution would be to reduce the space if the dynalloc function fails with the VTOC error and a member is written as PS.
(0000918)
Falk Reichbott (administrator)
2015-11-16 17:48

With version 9.1.10 at data set allocation the primary and secondary space are reduced by factor 2 if the dynamic allocation function failed down to the default values.
(0000919)
Falk Reichbott (administrator)
2015-11-17 08:55

There is no cabebility to determine the used space of a member except to read it twice. The only solution for this problem is, to reduce the primary and secondary space if the dynalloc() function failed, down to the minimum defaults. If a member of a big PDS is written as PS dataset, then the overallocated space are release at close. If such a member written to a PDS(E) the size of the PDS(E) will reduce to the maximum which is possible to allocate.

- Issue History
Date Modified Username Field Change
2015-09-10 09:01 Falk Reichbott New Issue
2015-09-10 09:01 Falk Reichbott Status new => assigned
2015-09-10 09:01 Falk Reichbott Assigned To => Falk Reichbott
2015-11-16 08:08 Falk Reichbott Target Version 5.2 => 5.1.10
2015-11-16 08:08 Falk Reichbott View Status private => public
2015-11-16 16:54 Falk Reichbott Note Added: 0000914
2015-11-16 16:57 Falk Reichbott Note Added: 0000915
2015-11-16 17:00 Falk Reichbott Note Added: 0000916
2015-11-16 17:03 Falk Reichbott Note Added: 0000917
2015-11-16 17:48 Falk Reichbott Note Added: 0000918
2015-11-17 08:55 Falk Reichbott Note Added: 0000919
2015-11-17 08:55 Falk Reichbott Status assigned => resolved
2015-11-17 08:55 Falk Reichbott Fixed in Version => 5.1.10
2015-11-17 08:55 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker